summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2019-05-15 16:39:46 +0200
committerRemi Collet <remi@remirepo.net>2019-05-15 16:39:46 +0200
commit860bc555f6f7774ea302cfbd73d370ce398e0a31 (patch)
treef6636b5313047aa345d97e40858f12a794abd527
parent7e0601d1db920f7279ed85158dfae57ad03b3a1b (diff)
sync with fedoraHEADmaster
-rw-r--r--php-di.spec38
1 files changed, 27 insertions, 11 deletions
diff --git a/php-di.spec b/php-di.spec
index 85a6613..198e4b9 100644
--- a/php-di.spec
+++ b/php-di.spec
@@ -52,7 +52,7 @@
Name: %{composer_project}
Version: %{github_version}
-Release: 6%{?github_release}%{?dist}
+Release: 7%{?github_release}%{?dist}
Summary: The dependency injection container for humans
License: MIT
@@ -70,6 +70,17 @@ BuildArch: noarch
%if %{with_tests}
## composer.json
BuildRequires: php(language) >= %{php_min_ver}
+BuildRequires: php-composer(phpunit/phpunit)
+%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
+BuildRequires: (php-composer(container-interop/container-interop) >= %{container_interop_min_ver} with php-composer(container-interop/container-interop) < %{container_interop_max_ver})
+BuildRequires: (php-composer(doctrine/annotations) >= %{doctrine_annotations_min_ver} with php-composer(doctrine/annotations) < %{doctrine_annotations_max_ver})
+BuildRequires: (php-composer(doctrine/cache) >= %{doctrine_cache_min_ver} with php-composer(doctrine/cache) < %{doctrine_cache_max_ver})
+BuildRequires: (php-composer(mnapoli/phpunit-easymock) >= %{phpunit_easymock_min_ver} with php-composer(mnapoli/phpunit-easymock) < %{phpunit_easymock_max_ver})
+BuildRequires: (php-composer(ocramius/proxy-manager) >= %{proxy_manager_min_ver} with php-composer(ocramius/proxy-manager) < %{proxy_manager_max_ver})
+BuildRequires: (php-composer(php-di/invoker) >= %{di_invoker_min_ver} with php-composer(php-di/invoker) < %{di_invoker_max_ver})
+BuildRequires: (php-composer(php-di/phpdoc-reader) >= %{di_phpdoc_reader_min_ver} with php-composer(php-di/phpdoc-reader) < %{di_phpdoc_reader_max_ver})
+BuildRequires: (php-composer(psr/container) >= %{psr_container_min_ver} with php-composer(psr/container) < %{psr_container_max_ver})
+%else
BuildRequires: php-composer(container-interop/container-interop) < %{container_interop_max_ver}
BuildRequires: php-composer(container-interop/container-interop) >= %{container_interop_min_ver}
BuildRequires: php-composer(doctrine/annotations) < %{doctrine_annotations_max_ver}
@@ -86,11 +97,8 @@ BuildRequires: php-composer(php-di/phpdoc-reader) < %{di_phpdoc_reader_max_ver}
BuildRequires: php-composer(php-di/phpdoc-reader) >= %{di_phpdoc_reader_min_ver}
BuildRequires: php-composer(psr/container) < %{psr_container_max_ver}
BuildRequires: php-composer(psr/container) >= %{psr_container_min_ver}
-BuildRequires: php-composer(phpunit/phpunit)
-%if 0%{?fedora} >= 26
-BuildRequires: phpunit6
%endif
-## phpcompatinfo (computed from version 5.4.3)
+## phpcompatinfo (computed from version 5.4.6)
BuildRequires: php-json
BuildRequires: php-pcre
BuildRequires: php-reflection
@@ -101,6 +109,12 @@ BuildRequires: php-composer(fedora/autoloader)
# composer.json
Requires: php(language) >= %{php_min_ver}
+%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
+Requires: (php-composer(container-interop/container-interop) >= %{container_interop_min_ver} with php-composer(container-interop/container-interop) < %{container_interop_max_ver})
+Requires: (php-composer(php-di/invoker) >= %{di_invoker_min_ver} with php-composer(php-di/invoker) < %{di_invoker_max_ver})
+Requires: (php-composer(php-di/phpdoc-reader) >= %{di_phpdoc_reader_min_ver} with php-composer(php-di/phpdoc-reader) < %{di_phpdoc_reader_max_ver})
+Requires: (php-composer(psr/container) >= %{psr_container_min_ver} with php-composer(psr/container) < %{psr_container_max_ver})
+%else
Requires: php-composer(container-interop/container-interop) < %{container_interop_max_ver}
Requires: php-composer(container-interop/container-interop) >= %{container_interop_min_ver}
Requires: php-composer(php-di/invoker) < %{di_invoker_max_ver}
@@ -109,7 +123,8 @@ Requires: php-composer(php-di/phpdoc-reader) < %{di_phpdoc_reader_max_ver}
Requires: php-composer(php-di/phpdoc-reader) >= %{di_phpdoc_reader_min_ver}
Requires: php-composer(psr/container) < %{psr_container_max_ver}
Requires: php-composer(psr/container) >= %{psr_container_min_ver}
-# phpcompatinfo (computed from version 5.4.3)
+%endif
+# phpcompatinfo (computed from version 5.4.6)
Requires: php-json
Requires: php-pcre
Requires: php-reflection
@@ -145,6 +160,8 @@ Autoloader: %{phpdir}/DI/autoload.php
: https://github.com/PHP-DI/PHP-DI/pull/392
chmod a-x src/DI/Definition/Source/DefinitionArray.php
+
+%build
: Create autoloader
cat <<'AUTOLOAD' | tee src/DI/autoload.php
<?php
@@ -172,10 +189,6 @@ require_once __DIR__.'/functions.php';
AUTOLOAD
-%build
-# Empty build section, nothing to build
-
-
%install
mkdir -p %{buildroot}%{phpdir}
cp -rp src/* %{buildroot}%{phpdir}/
@@ -235,7 +248,10 @@ exit $RETURN_CODE
%changelog
-* Fri May 10 2019 Shawn Iwinski <shawn@iwin.ski> - 5.4.6-1
+* Tue May 14 2019 Shawn Iwinski <shawn@iwin.ski> - 5.4.6-7
+- Add range version dependencies for Fedora >= 27 || RHEL >= 8
+
+* Fri May 10 2019 Shawn Iwinski <shawn@iwin.ski> - 5.4.6-6
- Update to 5.4.6
* Tue Oct 31 2017 Remi Collet <remi@remirepo.net> - 5.4.3-2